Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1456 - XF86DGA is broken on alpha
Summary: XF86DGA is broken on alpha
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-09 11:11 UTC by ink
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 17:45:06 UTC


Attachments (Terms of Use)

Description ink 1999-03-09 11:11:02 UTC
XF86DGA tries to mmap the PCI-bus physical address (32 bit),
but it's wrong on alphas. We should add dense memory base
address to the PCI-bus offset to get correct mapping.


------- Email Received From  "Ivan N. Kokshaysky" <ink@jurassic.park.msu.ru> 03/09/99 06:12 -------

Comment 1 David Lawrence 1999-03-11 23:08:59 UTC
This has been assigned to a developer for further review.

Comment 2 davenrs 1999-03-14 04:19:59 UTC
This is the supposid fix..  enjoy, rog

[root@aphrodite Xxf86dga]# diff XF86DGA.c XF86DGA.c.orig
9,10d8
< /* Alpha Patch by Georg Acher, acher@in.tum.de */
<
30,32d27
< extern unsigned long _bus_base(void);    /* GA */
<
<
602c597
<                         MAP_FILE | MAP_SHARED, fd,
(off_t)offset+_bus_base());
---
>                         MAP_FILE | MAP_SHARED, fd, (off_t)offset);

Comment 3 Preston Brown 1999-03-15 16:00:59 UTC
The patch looks good.  This fix has been applied in RawHide, and will
be made officially available in the next release of Red Hat Linux.

Comment 4 ink 1999-06-30 08:06:59 UTC
Still broken in 6.0...
Quoted from XFree86-3.3.3.1.spec:
 # the following patch is incomplete..broken..and thus commented out.
 #%patch61 -p1 -b .alphadga
I'm afraid the wrong patch sneaked into srpm,
and I'll send another one later today.

Comment 5 Preston Brown 1999-08-23 17:45:59 UTC
This will be fixed in the forthcoming errata release of 3.3.5.


Note You need to log in before you can comment on or make changes to this bug.